package com.engine.newwaymask.service;

import com.engine.newwaymask.entity.JobRecord;
import com.engine.newwaymask.entity.StaffDutyResult;
import com.engine.newwaymask.entity.StaffPlan;

import java.util.List;

/**
 * @Author liang.cheng
 * @Date 2025/4/21 15:30
 * @Description: TODO
 * @Version 1.0
 */
public interface StaffDutyService {


    /**
     * @Description: 获取当前任职数据
     * @Author: liang.cheng
     * @Date: 2025/4/21 16:12
     * @param: [reqyestId]
     * @return: java.util.List<com.engine.newwaymask.entity.JobRecord>
     */
    List<JobRecord> selectJobRecords(String requestId);


    /**
     * @Description: 获取需要更新的编制执行情况数据
     * @Author: liang.cheng
     * @Date: 2025/4/21 17:37
     * @param: [workflowRequestParam]
     * @return: java.util.List<com.engine.newwaymask.entity.StaffPlan>
     */
    List<StaffPlan> selectStaffPlans(JobRecord jobRecord,boolean isAll);

    /**
     * @Description: 入职类型
     * @Author: liang.cheng
     * @Date: 2025/4/21 17:04
     * @param: []
     * @return: com.engine.newwaymask.entity.StaffDutyResult
     */
    StaffDutyResult entryWorkflow(String requestId);


}
